Bug 968833 - FSError: umount failed
FSError: umount failed
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:81c13559d85dee47c61f1c9f7fd...
:
: 969805 971442 974467 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-30 00:46 EDT by Witek Mozga
Modified: 2015-02-17 10:23 EST (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:23:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (426.19 KB, text/plain)
2013-05-30 00:46 EDT, Witek Mozga
no flags Details
File: anaconda.log (2.59 KB, text/plain)
2013-05-30 00:46 EDT, Witek Mozga
no flags Details
File: backtrace (1.63 KB, text/plain)
2013-05-30 00:46 EDT, Witek Mozga
no flags Details
File: environ (842 bytes, text/plain)
2013-05-30 00:46 EDT, Witek Mozga
no flags Details
File: ifcfg.log (490 bytes, text/plain)
2013-05-30 00:46 EDT, Witek Mozga
no flags Details
File: lsblk_output (3.42 KB, text/plain)
2013-05-30 00:47 EDT, Witek Mozga
no flags Details
File: messages (173.53 KB, text/plain)
2013-05-30 00:47 EDT, Witek Mozga
no flags Details
File: nmcli_dev_list (7.88 KB, text/plain)
2013-05-30 00:47 EDT, Witek Mozga
no flags Details
File: program.log (53.04 KB, text/plain)
2013-05-30 00:47 EDT, Witek Mozga
no flags Details
File: storage.log (213.93 KB, text/plain)
2013-05-30 00:47 EDT, Witek Mozga
no flags Details
/tmp/anaconda-tb-xck0UV (468.16 KB, text/plain)
2013-06-27 18:49 EDT, openfred
no flags Details
/tmp/anaconda.log (2.77 KB, text/plain)
2013-06-27 18:51 EDT, openfred
no flags Details
/tmp/program.log (38.07 KB, text/plain)
2013-06-27 18:52 EDT, openfred
no flags Details
/tmp/storage.log (218.37 KB, text/plain)
2013-06-27 18:53 EDT, openfred
no flags Details
/tmp/anaconda-tb-zJY1Wp (F19 RC3) (467.88 KB, text/plain)
2013-06-27 19:26 EDT, openfred
no flags Details
/tmp/anaconda.log (F19 RC3) (2.88 KB, text/plain)
2013-06-27 19:27 EDT, openfred
no flags Details
/tmp/program.log (F19 RC3) (38.07 KB, text/plain)
2013-06-27 19:28 EDT, openfred
no flags Details
/tmp/storage.log (F19 RC3) (217.64 KB, text/plain)
2013-06-27 19:29 EDT, openfred
no flags Details
/tmp/anaconda-tb-* 1/3 (F19 RC3 Xfce x86_64, cdrominstall) (432.08 KB, text/plain)
2013-06-28 16:24 EDT, openfred
no flags Details
/tmp/anaconda-tb-* 2/3 (F19 RC3 Xfce x86_64, cdrominstall) (431.29 KB, text/plain)
2013-06-28 16:24 EDT, openfred
no flags Details
/tmp/anaconda-tb-* 3/3 (F19 RC3 Xfce x86_64, cdrominstall) (432.36 KB, text/plain)
2013-06-28 16:25 EDT, openfred
no flags Details
/tmp/anaconda.log (F19 RC3 Gnome x86_64, usbkey: OK) (6.69 KB, text/x-log)
2013-06-28 17:13 EDT, openfred
no flags Details

  None (edit)
Description Witek Mozga 2013-05-30 00:46:13 EDT
Description of problem:
I clicked on installation icon in Fedora Mate and the installer showed for a moment then crashed.
The following was filed automatically by anaconda:
anaconda 19.30-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python2.7/site-packages/blivet/formats/fs.py", line 626, in unmount
    raise FSError("umount failed")
  File "/usr/lib/python2.7/site-packages/blivet/formats/fs.py", line 792, in teardown
    return self.unmount(*args, **kwargs)
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 745, in _preTeardown
    self.format.teardown()
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 757, in teardown
    if not self._preTeardown(recursive=recursive):
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 2786, in findExistingInstallations
    device.teardown(recursive=True)
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 420, in reset
    self.roots = findExistingInstallations(self.devicetree)
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 140, in storageInitialize
    storage.reset()
  File "/usr/lib/python2.7/threading.py", line 766, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib/python2.7/site-packages/pyanaconda/threads.py", line 168, in run
    threading.Thread.run(self, *args, **kwargs)
  File "/usr/lib/python2.7/site-packages/pyanaconda/threads.py", line 87, in wait
    self.raise_error(name)
  File "/usr/lib/python2.7/site-packages/pyanaconda/packaging/__init__.py", line 657, in payloadInitialize
    threadMgr.wait(THREAD_STORAGE)
  File "/usr/lib/python2.7/threading.py", line 766, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib/python2.7/site-packages/pyanaconda/threads.py", line 168, in run
    threading.Thread.run(self, *args, **kwargs)
FSError: umount failed

Version-Release number of selected component:
anaconda-19.30-1.fc19.i686

Additional info:
reporter:       libreport-2.1.4
cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-osimg-min --lang en_US.UTF-8
cmdline_file:   initrd=initrd0.img root=live:CDLABEL=Fedora-Live-MATE-Compiz-i686-19- rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0  BOOT_IMAGE=vmlinuz0 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.9.2-301.fc19.i686
other involved packages: python-blivet-0.14-1.fc19.noarch, python-libs-2.7.4-4.fc19.i686
packaging.log:  
product:        Fedora
release:        Fedora release 19 (Schrödinger’s Cat)
type:           anaconda
version:        19

Truncated backtrace:
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/pyanaconda/threads.py", line 168, in run
    threading.Thread.run(self, *args, **kwargs)
  File "/usr/lib/python2.7/threading.py", line 766, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib/python2.7/site-packages/pyanaconda/packaging/__init__.py", line 657, in payloadInitialize
    threadMgr.wait(THREAD_STORAGE)
  File "/usr/lib/python2.7/site-packages/pyanaconda/threads.py", line 87, in wait
    self.raise_error(name)
  File "/usr/lib/python2.7/site-packages/pyanaconda/threads.py", line 168, in run
    threading.Thread.run(self, *args, **kwargs)
  File "/usr/lib/python2.7/threading.py", line 766, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 140, in storageInitialize
    storage.reset()
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 420, in reset
    self.roots = findExistingInstallations(self.devicetree)
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 2786, in findExistingInstallations
    device.teardown(recursive=True)
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 757, in teardown
    if not self._preTeardown(recursive=recursive):
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 745, in _preTeardown
    self.format.teardown()
  File "/usr/lib/python2.7/site-packages/blivet/formats/fs.py", line 792, in teardown
    return self.unmount(*args, **kwargs)
  File "/usr/lib/python2.7/site-packages/blivet/formats/fs.py", line 626, in unmount
    raise FSError("umount failed")
FSError: umount failed
Comment 1 Witek Mozga 2013-05-30 00:46:36 EDT
Created attachment 754645 [details]
File: anaconda-tb
Comment 2 Witek Mozga 2013-05-30 00:46:44 EDT
Created attachment 754646 [details]
File: anaconda.log
Comment 3 Witek Mozga 2013-05-30 00:46:48 EDT
Created attachment 754647 [details]
File: backtrace
Comment 4 Witek Mozga 2013-05-30 00:46:53 EDT
Created attachment 754648 [details]
File: environ
Comment 5 Witek Mozga 2013-05-30 00:46:57 EDT
Created attachment 754649 [details]
File: ifcfg.log
Comment 6 Witek Mozga 2013-05-30 00:47:01 EDT
Created attachment 754650 [details]
File: lsblk_output
Comment 7 Witek Mozga 2013-05-30 00:47:12 EDT
Created attachment 754651 [details]
File: messages
Comment 8 Witek Mozga 2013-05-30 00:47:17 EDT
Created attachment 754652 [details]
File: nmcli_dev_list
Comment 9 Witek Mozga 2013-05-30 00:47:22 EDT
Created attachment 754653 [details]
File: program.log
Comment 10 Witek Mozga 2013-05-30 00:47:34 EDT
Created attachment 754654 [details]
File: storage.log
Comment 11 Brian Lane 2013-06-06 20:18:22 EDT
*** Bug 971442 has been marked as a duplicate of this bug. ***
Comment 12 Brian Lane 2013-06-06 20:24:01 EDT
Does this happen every time? When it does can you run:

lsof /mnt/sysimage/

It looks like something grabbed hold of the mount and caused it to be busy when we umount it.
Comment 13 Witek Mozga 2013-06-07 16:16:49 EDT
as root: lsof /mnt/sysimage/ gives

lsof: WARNING: can't stat() fuse.gvfsd-fuse file system /run/user/1000/gvfs
      Output information may be incomplete.

BTW: This bug may be connected to previously reported one:
https://bugzilla.redhat.com/show_bug.cgi?id=882615
Comment 14 Adam Williamson 2013-06-07 16:33:09 EDT
*** Bug 969805 has been marked as a duplicate of this bug. ***
Comment 15 openfred 2013-06-26 17:23:08 EDT
download iso, check sha256sum
install hybrid iso to a trusted usbkey with dd
boot to the usb key
once on the desktop, configure wifi
launch Install to Hard Drive icon
the installer appears. hold on 5 sec
click on the main window (not in the language selection) for ex. on FEDORA title
and bang, installer crashes

Beta2 was giving the same issue for i686 and x86_64
RC2 gives the same result...
impossible to install F19 Xfce

PC: Lenovo T500 with only the intel graphic card available
no problem with gnome (Desktop) version
no pb with other flavour of linux

Hope that helps

cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-osimg-min --lang en_US.UTF-8
cmdline_file:   initrd=initrd0.img root=live:CDLABEL=Fedora-Live-XFCE-x86_64-19-1 rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0  BOOT_IMAGE=vmlinuz0 
hashmarkername: anaconda
kernel:         3.9.5-301.fc19.x86_64
other involved packages: python-blivet-0.17-1.fc19.noarch, python-libs-2.7.5-1.fc19.x86_64
package:        anaconda-19.30.12-1.fc19.x86_64
packaging.log:  
product:        Fedora
reason:         FSError: umount failed
release:        Fedora release 19 (Schrödinger’s Cat)
version:        19
Comment 16 openfred 2013-06-26 17:42:11 EDT
Yes it happens everytime.

A serious bug may affect more users, so it seems related to a particular configuration.

this is what "df" told me after the installer crashes:
[liveuser@localhost ~]$ df
Filesystem          1K-blocks     Used Available Use% Mounted on
/dev/mapper/live-rw   8029112  2105612   5840616  27% /
devtmpfs              4018304        0   4018304   0% /dev
tmpfs                 4035208       72   4035136   1% /dev/shm
tmpfs                 4035208     1068   4034140   1% /run
tmpfs                 4035208        0   4035208   0% /sys/fs/cgroup
/dev/sdb1              635370   635370         0 100% /run/initramfs/live
tmpfs                 4035208     2824   4032384   1% /tmp
varcacheyum           4035208        0   4035208   0% /var/cache/yum
vartmp                4035208        0   4035208   0% /var/tmp
/dev/sda8           106984488 90764684  10778576  90% /mnt/sysimage

/dev/sda8 is my data partition.
I unmounted it and relaunched the installer which didn't failed at first.
I was able to select language for the 1st time !

But when the menu appears. the installer crashed again, and it appears /dev/sda8 was mounted again.

what is strange is why /dev/sda8 is mounted ?
here are the hard drive info

/dev/sda1   *        2048      206847      102400    7  HPFS/NTFS/exFAT
/dev/sda2          206848   167979007    83886080    7  HPFS/NTFS/exFAT
/dev/sda3       167979008   220408695    26214844   83  Linux
/dev/sda4       220409854   488396799   133993473    5  Extended
/dev/sda5       220409856   237187071     8388608   82  Linux swap / Solaris
/dev/sda6       237189120   253966463     8388672   83  Linux
/dev/sda7       253968384   270745727     8388672   83  Linux
/dev/sda8       270747648   488396799   108824576   83  Linux

/dev/sda3 is a linux install (with grub config)
/dev/sda6 is f19 gnome
/dev/sda7 is empty
/dev/sda8 is my data partition

in my mindm Anaconda is the same for Desktop (Gnome) and Xfce.
No problem on the same HW when I installed Gnome...
Comment 17 Brian Lane 2013-06-26 19:56:55 EDT
(In reply to openfred from comment #16)
> Yes it happens everytime.

Please attach the anaconda-tb-* file from /tmp/ to this bug. I added some diagnostics that may help us track this down.
Comment 18 openfred 2013-06-27 18:49:59 EDT
Created attachment 766355 [details]
/tmp/anaconda-tb-xck0UV

-rw-------. 1 root     root     479396 Jun 27  2013 anaconda-tb-xck0UV
Comment 19 openfred 2013-06-27 18:51:56 EDT
Created attachment 766356 [details]
/tmp/anaconda.log
Comment 20 openfred 2013-06-27 18:52:49 EDT
Created attachment 766358 [details]
/tmp/program.log
Comment 21 openfred 2013-06-27 18:53:35 EDT
Created attachment 766359 [details]
/tmp/storage.log
Comment 22 openfred 2013-06-27 19:02:25 EDT
(In reply to Brian C. Lane from comment #17)
> Please attach the anaconda-tb-* file from /tmp/ to this bug. I added some
> diagnostics that may help us track this down.

Please find attached the requested file, plus 3 others files that may help you to solve this issue which seems related to hard disk detection.

[liveuser@localhost tmp]$ ls -l
total 740
-rw-rw-r--. 1 root     root       2840 Jun 27  2013 anaconda.log
-rw-------. 1 root     root     479396 Jun 27  2013 anaconda-tb-xck0UV
-rw-rw-r--. 1 root     root       1426 Jun 27  2013 ifcfg.log
-rw-rw-r--. 1 root     root          0 Jun 27  2013 packaging.log
-rw-rw-r--. 1 root     root      38985 Jun 27  2013 program.log
drwx------. 2 liveuser liveuser     60 Jun 27  2013 ssh-PoDmDpkoWTZp
-rw-rw-r--. 1 root     root     223609 Jun 27  2013 storage.log
drwx------. 3 root     root         60 Jun 27  2013 systemd-private-4oRUrb
drwx------. 3 root     root         60 Jun 27  2013 systemd-private-yW5l12

One important point:
I just have to launch the installer and wait a little bit to get the crash.
There's no need to click anywhere.

On my Thinkpad T500 there is a led displaying hard drive activity.
When I launch the installer, I see disk activty, and when disk activity stops, the installer crash.

Hope that helps.

But I still wonder why there is no issue with the installer for the Gnome Edition, on the same hardware.
Comment 23 openfred 2013-06-27 19:24:54 EDT
Sorry, I didn't realized you made some modificationsm and then I had to use F19 RC3 instead of RC2 that I used yesterday and in the previous posts.
Please find attached the requested files
Comment 24 openfred 2013-06-27 19:26:26 EDT
Created attachment 766365 [details]
/tmp/anaconda-tb-zJY1Wp (F19 RC3)
Comment 25 openfred 2013-06-27 19:27:47 EDT
Created attachment 766366 [details]
/tmp/anaconda.log (F19 RC3)
Comment 26 openfred 2013-06-27 19:28:52 EDT
Created attachment 766367 [details]
/tmp/program.log (F19 RC3)
Comment 27 openfred 2013-06-27 19:29:50 EDT
Created attachment 766368 [details]
/tmp/storage.log (F19 RC3)
Comment 28 Brian Lane 2013-06-27 19:46:35 EDT
Well darn.

21:19:55,803 INFO program: Running... lsof /mnt/sysimage
21:19:55,961 DEBUG program: Return code: 1

I have no idea what's going on.
Comment 29 openfred 2013-06-28 04:24:25 EDT
(In reply to Brian C. Lane from comment #28)
> I have no idea what's going on.

ok... sad, but thanks for watching
I'll try F19 RC3 Gnome to check if it is crashing as well.

Indeed, I install F19 Gnome at the beta stage, and didn't get this Anaconda crashed. It may be interested to know if it is a regression common to all the flavour.

But it seems this problem is mostly related to non-Gnome flavour of Fedora, since at least Alpha release:
955812
956325

Plus duplicates of this bug.

Bug 971442 marked as duplicates of this bug is interesting.
"Anaconda crashes when run from LiveUSB"
https://bugzilla.redhat.com/show_bug.cgi?id=971442

I am also using a usb stick to do the install.
I'll have a try tonight using a cdrom.

Maybe it is related to the boot order for usb device ?
On some hardware boot disk is recognised as sda, but on some hardware, internal drive is sda anytime and usb boot stick is then sdb.

" FSError: umount failed"
Maybe it is just Anaconda which is simply unable to unmount the live usb installer volume ? And then fails ?

I'll give you a report asap

Fred
Comment 30 Witek Mozga 2013-06-28 04:34:58 EDT
I filed these two duplicate bugs and this one also happened when using LiveUSB. 

The first observation (by me) of such behaviour is here: https://bugzilla.redhat.com/show_bug.cgi?id=882615 and seems to be confimed by others. 

I tested LiveUSB with LXDE RC2 and the installer didn`t crash when I made first attempt to use it. But when I quit the installer, mounted some partitions then unmounted them and started the installer again - it crashed.

Crashes might be random and thus it seems some spins are affected and others are not.
Comment 31 openfred 2013-06-28 16:22:16 EDT
Yesterday:
F19 RC3 x86_64 Xfce
USB: crash [comment #24]

Today cdrom: crash [see below]
(same iso, same doanload)

Funny thing, Wifi is not available (while booting with usb stick, I see wifi hotspot nearby, and when booting with the cdrom... No wifi hotspot available... weird)
Comment 32 openfred 2013-06-28 16:24:15 EDT
Created attachment 766712 [details]
/tmp/anaconda-tb-* 1/3 (F19 RC3 Xfce x86_64, cdrominstall)
Comment 33 openfred 2013-06-28 16:24:48 EDT
Created attachment 766713 [details]
/tmp/anaconda-tb-* 2/3 (F19 RC3 Xfce x86_64, cdrominstall)
Comment 34 openfred 2013-06-28 16:25:30 EDT
Created attachment 766714 [details]
/tmp/anaconda-tb-* 3/3 (F19 RC3 Xfce x86_64, cdrominstall)
Comment 35 openfred 2013-06-28 16:30:17 EDT
Interesting, when doing installation on the Lenovo T500, using cdrom install (with same image as burned on the cdrom) there are more than 1 /tmp/anaconda-tb-*
generated !

Hope this will help debugging this time !

It seems that the issue is not related to usb key installation, but rather to:
- the laptop itself ?
- the hard drive layout.

Indeed, here are the df when the installer crashed.
[liveuser@localhost ~]$ df -h
Filesystem           Size  Used Avail Use% Mounted on
/dev/mapper/live-rw  7.7G  2.1G  5.6G  27% /
devtmpfs             3.9G     0  3.9G   0% /dev
tmpfs                3.9G   72K  3.9G   1% /dev/shm
tmpfs                3.9G  968K  3.9G   1% /run
tmpfs                3.9G     0  3.9G   0% /sys/fs/cgroup
/dev/sr0             621M  621M     0 100% /run/initramfs/live
tmpfs                3.9G  1.6M  3.9G   1% /tmp
varcacheyum          3.9G     0  3.9G   0% /var/cache/yum
vartmp               3.9G     0  3.9G   0% /var/tmp
/dev/sda8            103G   87G   11G  90% /mnt/sysimage

Please note that /mnt/sysimage is the mount point to /dev/sda8, and there is no reason for that ! sda8 is simply a ext4 partition
Comment 36 openfred 2013-06-28 16:43:59 EDT
f19 rc3 xfce x86_64
Toshiba Tecra A9: NO PROBLEM AT ALL

Install starts, language selction available, go to main menu OK

[liveuser@localhost ~]$ ls -l /tmp
total 280
-rw-rw-r--. 1 root     root       6281 Jun 28 21:36 anaconda.log
-rw-rw-r--. 1 root     root        576 Jun 28 21:36 ifcfg.log
-rw-rw-r--. 1 root     root          0 Jun 28 17:35 packaging.log
-rw-rw-r--. 1 root     root      34926 Jun 28 21:36 program.log
drwx------. 2 liveuser liveuser     60 Jun 28 17:33 ssh-SDuakYqniVDZ
-rw-rw-r--. 1 root     root     215731 Jun 28 21:36 storage.log
-rw-rw-r--. 1 root     root      24576 Jun 28 17:35 storage.state
drwx------. 3 root     root         60 Jun 28 17:33 systemd-private-cGotMY
drwx------. 3 root     root         60 Jun 28 17:33 systemd-private-XsgFf4

   Device Boot      Start         End      Blocks   Id  System
/dev/sda1              63    65015054    32507496    7  HPFS/NTFS/exFAT
/dev/sda2        65015055   146930489    40957717+   7  HPFS/NTFS/exFAT
/dev/sda3       146931712   190435618    21751953+  83  Linux
/dev/sda4   *   190437374   234440703    22001665    5  Extended
/dev/sda5       190437376   210436095     9999360   83  Linux
/dev/sda6       210438144   230434815     9998336   83  Linux
/dev/sda7       230436864   234440703     2001920   82  Linux swap / Solaris

there is a difference in the hard drive partition scheme: only 7 partitions, and the last partition is swap on this computer !
Comment 37 openfred 2013-06-28 17:12:48 EDT
F19 RC3 Gnome x86_64 (Lenovo T500)
usbkey installation

no problem at all, installer starts, scans the hard drive, no crash, can follow the installation.

[liveuser@localhost ~]$ df -h
Filesystem                  Size  Used Avail Use% Mounted on
/dev/mapper/live-rw         7.8G  3.1G  4.7G  40% /
devtmpfs                    3.9G     0  3.9G   0% /dev
tmpfs                       3.9G   84K  3.9G   1% /dev/shm
tmpfs                       3.9G  1.1M  3.9G   1% /run
tmpfs                       3.9G     0  3.9G   0% /sys/fs/cgroup
/dev/sdb1                   951M  951M     0 100% /run/initramfs/live
tmpfs                       3.9G  308K  3.9G   1% /tmp
varcacheyum                 3.9G     0  3.9G   0% /var/cache/yum
vartmp                      3.9G     0  3.9G   0% /var/tmp
/dev/mapper/live-osimg-min  3.1G  3.1G     0 100% /mnt/install/source

it is really weird the same installer does not have the same behaviour on the same hardware. seems soething is missing on the xfce install media.

For referencem attached below /tmp/anaconda.log when it is OK.
Comment 38 openfred 2013-06-28 17:13:54 EDT
Created attachment 766736 [details]
/tmp/anaconda.log (F19 RC3 Gnome x86_64, usbkey: OK)
Comment 39 openfred 2013-06-28 17:15:33 EDT
(In reply to Brian C. Lane from comment #28)
> Well darn.
> I have no idea what's going on.

Could you please assign this bug to the anaconda dev team ?
Maybe they could find a solution ?
Comment 40 ganjar 2013-07-04 05:59:28 EDT
anaconda erorr

cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-osimg-min --lang en_US.UTF-8
cmdline_file:   initrd=/ubninit root=UUID=20a06d3a-1027-0000-5493-806d6172696f rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0 BOOT_IMAGE=/ubnkern 
hashmarkername: anaconda
kernel:         3.9.5-301.fc19.x86_64
other involved packages: python-blivet-0.17-1.fc19.noarch, python-libs-2.7.5-1.fc19.x86_64
package:        anaconda-19.30.13-1.fc19.x86_64
packaging.log:  
product:        Fedora
reason:         FSError: umount failed
release:        Fedora release 19 (Schrödinger’s Cat)
version:        19
Comment 41 ghbennettjr 2013-07-06 23:03:29 EDT
Booted the Fedora-Live-XFCE-x86_64-19-1 CD, then clicked on the "Install to HD" icon.  Shortly after the screen to choose language appeared (but before I did anything) the message popped up saying an unknown error had occurred

cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-osimg-min --lang en_US.UTF-8
cmdline_file:   initrd=initrd0.img root=live:CDLABEL=Fedora-Live-XFCE-x86_64-19-1 rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0  BOOT_IMAGE=vmlinuz0 
hashmarkername: anaconda
kernel:         3.9.5-301.fc19.x86_64
other involved packages: python-blivet-0.17-1.fc19.noarch, python-libs-2.7.5-1.fc19.x86_64
package:        anaconda-19.30.13-1.fc19.x86_64
packaging.log:  
product:        Fedora
reason:         FSError: umount failed
release:        Fedora release 19 (Schrödinger’s Cat)
version:        19
Comment 42 openfred 2013-07-07 16:17:48 EDT
(In reply to ghbennettjr from comment #41)
> Booted the Fedora-Live-XFCE-x86_64-19-1 CD, then clicked on the "Install to
> HD" icon.  Shortly after the screen to choose language appeared (but before
> I did anything) the message popped up saying an unknown error had occurred

The only solution I found to install Fedora 19 Xfce is to use the netinstall iso.
The netinstall has change dramatically (don't remember last time I used a netinstall) and is now one of the best installation option to use !

I definitely think something is missing on the Xfce install iso.
No problem on my PC with Anaconda on Gnome iso on the same hardware.

Cheers
Comment 43 Michael Clerx 2013-07-11 18:28:29 EDT
Tried to create custom partitioning.
Tried to recreate the existing (F17) situation. Adding any mount point caused errors.
Pressed "rescan" and got the reported error.

cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-osimg-min --lang en_US.UTF-8
cmdline_file:   initrd=initrd0.img root=live:CDLABEL=Fedora-Live-Desktop-x86_64-19-1 rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0  BOOT_IMAGE=vmlinuz0 
hashmarkername: anaconda
kernel:         3.9.5-301.fc19.x86_64
other involved packages: python-blivet-0.17-1.fc19.noarch, python-libs-2.7.5-1.fc19.x86_64
package:        anaconda-19.30.13-1.fc19.x86_64
packaging.log:  
product:        Fedora
reason:         FSError: umount failed
release:        Fedora release 19 (Schrödinger’s Cat)
version:        19
Comment 44 Wolfgang Ulbrich 2013-07-13 12:11:02 EDT
Try to start anaconda from mate-compiz livecd.
anaconda crashed in the first window

cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-osimg-min --lang en_US.UTF-8 --noselinux
cmdline_file:   initrd=initrd0.img root=live:UUID=ae2067ec-9831-42d4-a63e-adccaa133878 rootfstype=ext4 ro rd.live.image selinux=0 rd.luks=0 rd.md=0 rd.dm=0  BOOT_IMAGE=vmlinuz0 
hashmarkername: anaconda
kernel:         3.9.5-301.fc19.x86_64
other involved packages: python-blivet-0.17-1.fc19.noarch, python-libs-2.7.5-1.fc19.x86_64
package:        anaconda-19.30.13-1.fc19.x86_64
packaging.log:  
product:        Fedora
reason:         FSError: umount failed
release:        Fedora release 19 (Schrödinger’s Cat)
version:        19
Comment 45 Mikhail 2013-07-18 22:47:51 EDT
Try install Fedora 19 on new computer with Haswell Core i7 CPU

cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-osimg-min --lang en_US.UTF-8
cmdline_file:   BOOT_IMAGE=/isolinux/vmlinuz0 root=live:LABEL=Fedora-Live-Desktop-x86_64-19-1 ro rd.live.image quiet rhgb rd.live.check
hashmarkername: anaconda
kernel:         3.9.5-301.fc19.x86_64
other involved packages: python-blivet-0.17-1.fc19.noarch, python-libs-2.7.5-1.fc19.x86_64
package:        anaconda-19.30.13-1.fc19.x86_64
packaging.log:  
product:        Fedora
reason:         FSError: umount failed
release:        Fedora release 19 (Schrödinger’s Cat)
version:        19
Comment 46 zbechir 2013-07-19 11:16:01 EDT
Installation depuis media live 

cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-osimg-min --lang en_US.UTF-8
cmdline_file:   initrd=initrd0.img root=live:CDLABEL=Fedora-Live-XFCE-x86_64-19-1 rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0  BOOT_IMAGE=vmlinuz0 
hashmarkername: anaconda
kernel:         3.9.5-301.fc19.x86_64
other involved packages: python-blivet-0.17-1.fc19.noarch, python-libs-2.7.5-1.fc19.x86_64
package:        anaconda-19.30.13-1.fc19.x86_64
packaging.log:  
product:        Fedora
reason:         FSError: umount failed
release:        Fedora release 19 (Schrödinger’s Cat)
version:        19
Comment 47 Di_Skyer 2013-08-15 13:52:41 EDT
First install from USB stick.
XFCE build was downloaded from:
download.fedoraproject.org/pub/alt/releases/19/Spins/x86_64/Fedora-Live-XFCE-x86_64-19-1.iso

cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-osimg-min --lang en_US.UTF-8 --xdriver=vesa
cmdline_file:   initrd=/isolinux/initrd0.img root=UUID=B4FE-5315 rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0 xdriver=vesa nomodeset BOOT_IMAGE=/isolinux/vmlinuz0 
hashmarkername: anaconda
kernel:         3.9.5-301.fc19.x86_64
other involved packages: python-blivet-0.17-1.fc19.noarch, python-libs-2.7.5-1.fc19.x86_64
package:        anaconda-19.30.13-1.fc19.x86_64
packaging.log:  
product:        Fedora
reason:         FSError: umount failed
release:        Fedora release 19 (Schrödinger’s Cat)
version:        19
Comment 48 bug-zilla 2013-08-25 05:01:17 EDT
Problem occured during installation from Live media (XFCE). Anaconda crashed in few seconds after start. Just run "Install on Hard Disk" and wait, no actions required.

cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-osimg-min --lang en_US.UTF-8
cmdline_file:   initrd=initrd0.img root=live:CDLABEL=Fedora-Live-XFCE-x86_64-19-1 rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0  BOOT_IMAGE=vmlinuz0 
hashmarkername: anaconda
kernel:         3.9.5-301.fc19.x86_64
other involved packages: python-blivet-0.17-1.fc19.noarch, python-libs-2.7.5-1.fc19.x86_64
package:        anaconda-19.30.13-1.fc19.x86_64
packaging.log:  
product:        Fedora
reason:         FSError: umount failed
release:        Fedora release 19 (Schrödinger’s Cat)
version:        19
Comment 49 openfred 2013-10-22 03:00:44 EDT
Reminder:
- Toshiba Tecra A9: livecd install, usb live install: no problem
- Lenovo Thinkpad T500: livecd install OK, usb liveinstall: this bug.
Both case with XFCE Spin.

What follows is only about T500.

As I am affected by bug #987128 and bug #1020078, I decided to scrap all my linux partitions, and recreated all of them with Gparted, before doing a fresh install.

As I remembered this bug, I tested Xfce Fedora 19 spin yesterday.
Believe or not: there is no problem anymore !!!

I used Gparted, and choose MiB alignment, as described in the documentation:
http://gparted.sourceforge.net/display-doc.php?name=help-manual#gparted-specify-partition-alignment
"Use MiB alignment for modern operating systems. This setting aligns partitions to start and end on precise mebibyte (1,048,576 byte) boundaries. MiB alignment provides enhanced performance when used with RAID systems and with Solid State Drives, such as USB flash drives. (...)"

Now the partition table is the following:
[fred@localhost ~]$ sudo fdisk -l /dev/sda
[sudo] password for fred:

Disque /dev/sda : 250.1 Go, 250059350016 octets, 488397168 secteurs
Unités = secteur de 1 × 512 = 512 octets
Taille de secteur (logique / physique) : 512 octets / 512 octets
taille d'E/S (minimale / optimale) : 512 octets / 512 octets
Type d'étiquette de disque : dos
Identifiant de disque : 0x35381b25

Périphérique Amorçage  Début         Fin      Blocs    Id. Système
/dev/sda1   *        2048      206847      102400    7  HPFS/NTFS/exFAT
/dev/sda2          206848   167979007    83886080    7  HPFS/NTFS/exFAT
/dev/sda3       167979008   220407807    26214400   83  Linux
/dev/sda4       220407808   488396799   133994496    5  Extended
/dev/sda5       220409856   237187071     8388608   82  Linux swap / Solaris
/dev/sda6       237189120   253966335     8388608   83  Linux
/dev/sda7       253968384   270745599     8388608   83  Linux
/dev/sda8       270747648   488396799   108824576   83  Linux

Compare with comment #36 for previous partitions organization, and #36 for partitions on the Tecra which does not suffer this bug.

I don't remember how I partitioned the T500 drive the 1st time, but I may have done it with Ubuntu or Mint installer (F17 and new anaconda made me sick at this time...). And I kept partitions from then.

All other people suffering this bug may consider scrapping their partitions and try repartitioning their drives (connect to wifi on the live session, and yum install gparted).

What is still unclear is why F19 Gnome livecd, once dd'ed on a usb key, does not suffer this bug, on exactly the same computer ?

Anaconda team, any clue ?
Comment 50 David Shea 2014-12-08 16:56:21 EST
*** Bug 974467 has been marked as a duplicate of this bug. ***
Comment 51 Fedora End Of Life 2015-01-09 13:15:50 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 52 Fedora End Of Life 2015-02-17 10:23:23 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.